<template>
	<view data-remark='图片'
		class="g-rh-image"
		:style="{
			'padding':pad + 'px',
			'background-color':bg,
		}"
		:class="'g_radius_' + radius"
	>
		<img :src="url ? url : 'https://bocai-cms.oss-cn-beijing.aliyuncs.com/web-resource/pugongying/default.svg'"
					 :class="'g_radius_' + radius"
					 class=""
					mode="aspectFill"
					
				   :style="{
						 'width':(size / 2) + 'px',
						 'height':(size / 2) + 'px',
					 }"
					 @click="handleClick"
		/>
	</view>
</template>

<script>
	/* 默认头像
	 * @params url 图片路径
	 * @params size 尺寸
	 * @params radius 圆度值
	 */
	export default{
		props:{
			url:{
				type:String,
				default(){
					return '';
				}
			},
			size:{
				default(){
					return 48;
				}
			},
			radius:{
				default(){
					return 50;
				}
			},
			pad:{
				default:0
			},
			bg:{
				default:'none'
			}
		},
		methods:{
			handleClick(){
				this.$emit('clickItem')
			}
		}
	}
</script>

<style>
</style>